Skip to content
Start here

Create a top-up

client.AIGateway.Billing.Topup.New(ctx, params) (*BillingTopupNewResponse, error)
POST/accounts/{account_id}/ai-gateway/billing/topup

Create a credit top-up via Stripe PaymentIntent for the given account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
AI Gateway Write
ParametersExpand Collapse
params BillingTopupNewParams
AccountID param.Field[string]

Path param: Cloudflare account ID.

Amount param.Field[int64]

Body param: Top-up amount in cents (min 1000).

minimum1000
ReturnsExpand Collapse
type BillingTopupNewResponse struct{…}
ClientSecret string

Stripe PaymentIntent client secret.

Onboarding bool

Whether the user was already onboarded.

PaymentIntentID string

Stripe invoice ID.

Brand stringOptional

Card brand (visa, mastercard, etc.).

Last4 stringOptional

Last 4 digits of card.

Create a top-up

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/ai_gateway"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  topup, err := client.AIGateway.Billing.Topup.New(context.TODO(), ai_gateway.BillingTopupNewParams{
    AccountID: cloudflare.F("account_id"),
    Amount: cloudflare.F(int64(5000)),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", topup.PaymentIntentID)
}
{
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "client_secret": "client_secret",
    "onboarding": true,
    "payment_intent_id": "payment_intent_id",
    "brand": "brand",
    "last4": "last4"
  },
  "success": true,
  "result_info": {
    "has_more": true,
    "page": 0,
    "per_page": 0,
    "total_count": 0
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "client_secret": "client_secret",
    "onboarding": true,
    "payment_intent_id": "payment_intent_id",
    "brand": "brand",
    "last4": "last4"
  },
  "success": true,
  "result_info": {
    "has_more": true,
    "page": 0,
    "per_page": 0,
    "total_count": 0
  }
}